Keyboard shortcuts - The HUD keyboard shortcut should be configurable

Reported by John Lea on 2012-03-30
64
This bug affects 24 people
Affects Status Importance Assigned to Milestone
Ayatana Design
Critical
John Lea
Unity
High
Tim Penhey
unity-2d
Undecided
Unassigned
compiz (Ubuntu)
Undecided
Didier Roche
gnome-control-center (Ubuntu)
Undecided
Didier Roche
gtk+3.0 (Ubuntu)
Undecided
Didier Roche
metacity (Ubuntu)
Undecided
Didier Roche
unity-2d (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned

Bug Description

Note: bug reverted to Triaged because when QA testing it was found that while it was possible to "set the new shortcut in System Settings>Keyboard, but the HUD was still triggered only by the default shortcut." (see Christian's comment)

-------------------------------

By default the HUD keyboard shortcut is ALT. Currently users can configure this key using ccsm, however this shortcut should also be configurable using the 'System Settings->Keyboard->Shortcuts' panel.

John Lea (johnlea) on 2012-03-30
tags: added: hud udp
Changed in ayatana-design:
assignee: nobody → John Lea (johnlea)
importance: Undecided → Critical
status: New → Triaged
Changed in unity (Ubuntu):
status: New → Confirmed
Changed in unity:
status: New → Confirmed
milestone: none → backlog
Didier Roche (didrocks) on 2012-04-02
affects: unity (Ubuntu) → gtk+3.0 (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-control-center (Ubuntu):
status: New → Confirmed
Changed in unity-2d:
status: New → Fix Committed
Tim Penhey (thumper) on 2012-04-05
Changed in unity:
status: Confirmed → In Progress
assignee: nobody → Tim Penhey (thumper)
milestone: backlog → 5.10.0
importance: Undecided → High
Didier Roche (didrocks) on 2012-04-05
Changed in gtk+3.0 (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in gnome-control-center (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in compiz (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in metacity (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+3.0 - 3.4.0-0ubuntu4

---------------
gtk+3.0 (3.4.0-0ubuntu4) precise-proposed; urgency=low

  * debian/patches/no_touchscreen_name_hack.patch:
    - drop the hack to make devices which are named with "touch" to be
      touchscreen, it's not the case for i.e "appletouch" (lp: #965311)
  * debian/patches/git_dont_ignore_button_release_event.patch:
    - "Don't ignore button releases after a wmspec move/resize"
  * debian/patches/git_shrinkable_widget.patch:
    - git patch, should fix empathy resizing horizontally when it shouldn't
      (lp: #903779)

  [ Didier Roche ]
  * debian/patches/git_gtkcellrenderer_grabbing_modifier.patch:
    - upstream patch to support modifier 'tapping' (LP: #969256)
 -- Sebastien Bacher <email address hidden> Thu, 05 Apr 2012 11:59:18 +0200

Changed in gtk+3.0 (Ubuntu):
status: Confirmed → Fix Released
Tim Penhey (thumper) on 2012-04-06
Changed in unity:
status: In Progress → Fix Committed
James Pharaoh (jamespharaoh) wrote :

Is this going to be included in precise?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.7.6-0ubuntu1

---------------
compiz (1:0.9.7.6-0ubuntu1) precise; urgency=low

  [ Didier Roche ]
  * New upstream release:
    - Memory leak in dlloaderListPlugins (LP: #968985)
    - priv->invisible is not updated when the window is mapped (LP: #969102)
    - window management, multi-monitor - In multi-monitor environment, windows
      should spread on the monitor in which they reside (LP: #919139)
    - Drop-down menus look disembodied from their titles (LP: #659816)
    - Improve performace of the shadow clipping code (LP: #931883)
    - DecorWindow::computeShadowRegion called way too much (LP: #969101)
    - white box randomly shows up at top left corner blocking application
      from using stuff under it (LP: #940603)
  * Rebuild against latest metacity to get the HUD key configuration
    exposed in unity 3D as well (LP: #969256)
  * debian/patches/ubuntu-config.patch:
    - set multioutput_mode to all outputs (windows to be scaled on each the
      monitor they are on only) (LP: #919139)
  * debian/patches/fix_976467.patch:
    - Fix shadows being clipped incorrectly (LP: #976467)

  [ Oliver Grawert ]
  * update the GLES2 patch for the new upstream release.
 -- Didier Roche <email address hidden> Wed, 11 Apr 2012 18:35:39 +0200

Changed in compiz (Ubuntu):
status: New → Fix Released
Didier Roche (didrocks) on 2012-04-12
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package metacity - 1:2.34.1-1ubuntu11

---------------
metacity (1:2.34.1-1ubuntu11) precise; urgency=low

  * debian/patches/19_add_unity_hud_configuration.patch:
    - expose the HUD key configuration for unity 2D (LP: #969256)
 -- Didier Roche <email address hidden> Thu, 12 Apr 2012 14:00:56 +0200

Changed in metacity (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.4.0-0ubuntu7

---------------
gnome-control-center (1:3.4.0-0ubuntu7) precise-proposed; urgency=low

  * debian/patches/04_new_appearance_settings.patch:
    - add edge corner reveal support for unity-2d now that it supports it
    - unref the new gsettings object introduced in a previous upload
  * debian/patches/54_enable_alt_tap_in_shortcut.patch:
    - enable assign alt and other key for the HUD shortcut in both Unity 2D
      and 3D (LP: #969256)
      (applied very late in the build for now as dep on
      revert_git_keyboard_gsettings.patch)
  * debian/patches/96_sound_nua_panel.patch:
    - quiet debug output, patch from ronoc
  * debian/patches/50_ubuntu_systemwide_prefs.patch:
    - fix the patch to really show "apply system wide" for new users
 -- Didier Roche <email address hidden> Thu, 12 Apr 2012 13:55:57 +0200

Changed in gnome-control-center (Ubuntu):
status: Confirmed → Fix Released
Tim Penhey (thumper) on 2012-04-16
Changed in ayatana-design:
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2012-04-17
Changed in ayatana-design:
status: Fix Committed → Fix Released
Changed in unity-2d (Ubuntu):
status: New → Fix Released
Changed in unity (Ubuntu):
status: New → Fix Released
Changed in unity-2d:
status: Fix Committed → Fix Released
Changed in ayatana-design:
status: Fix Released → Fix Committed
Christian Giordano (nuthinking) wrote :

I could set the new shortcut in System Settings>Keyboard, but the HUD was still triggered only by the default shortcut.

Changed in unity:
status: Fix Released → Triaged
John Lea (johnlea) on 2012-09-05
description: updated
John Lea (johnlea) on 2012-09-05
Changed in unity:
status: Triaged → Fix Committed
status: Fix Committed → Fix Released
Christian Giordano (nuthinking) wrote :

After logging out the change of shortcut is applied. Opened a more generic bug for the consequent issue: https://bugs.launchpad.net/ayatana-design/+bug/1059632

Changed in ayatana-design:
status: Fix Committed → Fix Released
tags: added: reviewedbydesignq
removed: udp
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers